%global enable_tests 0

Name:       nodejs-node-stringprep
Version:    0.1.5
Release:    4%{?dist}
Summary:    ICU StringPrep profiles for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/astro/node-stringprep
Source0:    http://registry.npmjs.org/node-stringprep/-/node-stringprep-%{version}.tgz

# Do not hardcode build/Release in "main" to comply with packaging guidelines.
Patch0:     %{name}-0.1.5-do-not-hardcode-build-release.patch
# Native module handling changed for 0.9.x. Pull request sent upstream:
# https://github.com/astro/node-stringprep/pull/26
Patch1:     %{name}-0.1.5-native-module-handling.patch
# The leakcheck.js test doesn't work quite as expected.
Patch2:     %{name}-0.1.5-fix-test.patch

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp
BuildRequires:  libicu-devel

ExclusiveArch: %{ix86} x86_64 %{arm}
# ExclusiveArch: %%{nodejs_arches}

%description
This module exposes predefined Unicode normalization functions that are
required by many protocols. This is just a binding to ICU, which is said
to be fast.


%prep
%setup -q -n package
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
export CXXFLAGS="%{optflags}"
node-gyp configure
node-gyp build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/node-stringprep
cp -p package.json \
    %{buildroot}%{nodejs_sitelib}/node-stringprep
install -p -D -m0755 build/Release/node_stringprep.node \
    %{buildroot}%{nodejs_sitelib}/node-stringprep/node-stringprep.node

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs leakcheck.js
%endif


%files
%doc LICENSE README.markdown
%{nodejs_sitelib}/node-stringprep


%changelog
* Sun Mar 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.5-4
- remove npm(bindings) from Requires

* Sun Mar 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.5-3
- remove dependencies on v8 as these are now automatic
- remove redundant comments
- add libicu-devel to BuildRequires
- fix the test in %%check
- move library to %%{nodejs_sitelib}/node-stringprep/node-stringprep.node
  to comply with packaging guidelines

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.5-2
- make use of %%nodejs_fixdep

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.5-1
- initial package
